#include <stdio.h>
#include <stdlib.h>

const int elements = ITEMS;
const int mod = 100;

int sortfunc( const void* n1, const void* n2 ) {
       int ret;
       ret =  (*(int*)n1) -(*(int*)n2) ;
       return ret;
}

int main(int argc, char** argv ) {
       int array[elements];
       int i;
       int mode = 0;
       
       if( argc == 2 )
               if( argv[1][0] >= '0' && argv[1][0] <= '3' )
                       mode = argv[1][0] - '0';
       	  
       printf("Mode = %d\n", mode );
       for ( i = 0; i < elements; i++ ) {
               switch(mode) {
               case 0:
	               array[i] = random() * mod;
	               break;
	       case 1:
	               array[i] = i % mod;
	               break;
	       case 2:
	               array[i] = i / (ITEMS / mod);
	               break;
	       case 3:
	               array[i] = i ^ 0x5555555;
	               break;
	       }
       }
       qsort( array, elements, sizeof(int),sortfunc);
       return 0;
}
